import com.jinsight.jetchart.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.print.*;
import javax.swing.*;

/**
 * This example demonstrates how to print charts generated with JetChart.
 *
 * @author Andre de Lima Soares - alsoares@jinsight.com
 */
public class Main extends JFrame implements ActionListener {

    Graph graph;

    public Main() {

	setTitle("The JetChart Library - Printing chart demo");

	JButton print=new JButton("Print chart");
	print.addActionListener(this);

	JPanel topPanel=new JPanel(new FlowLayout(FlowLayout.LEFT));
	topPanel.add(print);

        Container ct=getContentPane();
	ct.add("North",topPanel);

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });

	String labels[]={"label1","label2","label3","label4","label5","label6","label7"};

	graph=new Graph(labels);

	graph.setTitle(new String[]{"The JetChart Library - Printing chart demo"});

	graph.getGraphSet(0).getGrid().setEnabled(true);
	
	graph.set3DEnabled(true);

	BarSerie bs=new BarSerie(new double[]{100,200,130,180,210,320,430},"Bar Series");

	bs.setColor(Color.yellow);

	graph.addSerie(bs);

	ct.add("Center",graph);

	setSize(400,300);

	setVisible(true);

    }

     public void actionPerformed(ActionEvent evt) {

	// Gets a PrinterJob instance.
	PrinterJob pj=PrinterJob.getPrinterJob();

	// Creates a Book instance, appending a GraphPrinter object that implements the 
	// Printable interface.
	Book book=new Book();
	book.append(new GraphPrinter(),new PageFormat());
	
	// Sets the PrinterJob Pageable object(the Book instance).
	pj.setPageable(book);

	// Displays the printer dialog.
	boolean canPrint=pj.printDialog();
	
	if (canPrint) {
	    try {
		// Prints chart.
		pj.print(); 
	    }
	    catch (PrinterException e) {
		e.printStackTrace();
	    }
	}
	    
    }

    // This inner class implements the Printable interface and it is responsible for drawing the page content.
    class GraphPrinter implements Printable {

	public int print(Graphics g,PageFormat pageFormat,int pageIndex) {
	    
	    // Using Java2D, cast the Graphics object into a Graphics2D instance.
	    Graphics2D g2d=(Graphics2D)g;
	    
	    /* Move the origin from the corner of the Paper to the corner
             * of the imageable area.
             */
            g2d.translate(pageFormat.getImageableX(), pageFormat.getImageableY());

	    graph.paint(g2d);

	    return Printable.PAGE_EXISTS;
	}
    }

    public static void main(String[] args) {
	new Main();
    }

}



	
	
