import com.jinsight.jetchart.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

public class Main extends JFrame {

    public Main() {

        setTitle("The JetChart Library - Regression Line example");
	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });

	ScatterGraph sg=new ScatterGraph();
        sg.setTitle(new String[]{"Physical Strength and","Job Performance"});
	sg.getToolTip().setEnabled(true);

        Scale vScale=sg.getVScale();
        vScale.setAutoScaleEnabled(false);
        vScale.setMaxValue(140);
        vScale.setIncrement(10);
        vScale.setValueFormat("###");

        Scale hScale=sg.getHScale();
        hScale.setAutoScaleEnabled(false);
        hScale.setMaxValue(200);
        hScale.setIncrement(20);
        hScale.setValueFormat("###");
                                    
        sg.getLeftTitle().setText("Arm Strength");
        sg.getBottomTitle().setText("Grip Strengh");

	XYSerie xy=new XYSerie();
        RegressionLine rl=xy.getRegressionLine();
        rl.setColor(Color.blue);
        rl.setThickness(2);
        rl.setEnabled(true);
	xy.setColor(Color.red);
	xy.setWidth(2);
	xy.setHeight(2);

	sg.addSerie(xy);

	getContentPane().add("Center",sg);

	FileReader fr=null;
	try {
	    fr=new FileReader("data.xml");
	    sg.readXMLData(fr);
	}
	catch (IOException e) {
	    e.printStackTrace();
	}
	finally {
	    try {
		if (fr!=null)
		    fr.close();
	    }
	    catch (IOException e) {
		e.printStackTrace();
	    }
	}

	setSize(500,400);

	setVisible(true);

    }
    public static void main(String[] args) {
	new Main();
    }
}
